package com.ss.android.ugc.aweme.search.feedback.single.userguide;

import X.0Bt;
import X.7he;
import X.C4166Sl0;
import X.Crj;
import X.M12;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.NextLiveData;
import java.lang.ref.WeakReference;

public final class FeedbackGuideViewModel extends 0Bt {
    public WeakReference<Fragment> LIZ;
    public final Crj LIZIZ = 7he.LIZ(C4166Sl0.LIZ);

    static {
        Covode.recordClassIndex(104146);
    }

    public final NextLiveData<Integer> LIZ() {
        return (NextLiveData) this.LIZIZ.getValue();
    }

    public final void LIZ(Integer num) {
        LIZ().setValue(num);
    }

    public final void LIZ(Fragment fragment) {
        M12.LIZ(fragment);
        this.LIZ = new WeakReference<>(fragment);
    }
}
